/* Gruppe 5
 *
 * Autoren: anonym
 */
package grp5;

import trigrams.*;

public class TrigramWrapper extends Trigram {

	
	public TrigramWrapper(Trigram t){
		super(t.getW1(), t.getW2(), t.getW3());
	}
	
	public TrigramWrapper(String w1, String w2, String w3) {
		super(w1, w2, w3);
	}
	
	public String toString(){
		return this.getW1() + " " + this.getW2() + " " + this.getW3();
	}
	
	/*
	 * Gibt die drei Woerter eines Trigrams durch Leerzeichen getrennt zurueck.
	 */
	public static String getString(Trigram t){
		return t.getW1() + " " + t.getW2() + " " + t.getW3();
	}
	
	public static char[] getChars(Trigram t){
		return getString(t).toCharArray();
	}
	
	/*
	 * Generiert ein TrigramAndCount.
	 */
	public static TrigramAndCount generate(String w1, String w2, String w3, int count){
		return new TrigramAndCount(w1, w2, w3, count);
	}
}
